libzypp 17.37.10

Patch.h File Reference
`#include <zypp/base/Flags.h>`
`#include <zypp/sat/SolvAttr.h>`
`#include <zypp/ResObject.h>`
`#include <zypp/sat/SolvableSet.h>`

Go to the source code of this file.

## Classes
class | zypp::Patch
| Class representing a patch. More...
class | zypp::Patch::ReferenceIterator
| Query class for Patch issue references like bugzilla and security issues the patch is supposed to fix. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
| zypp::DEFINE_PTR_TYPE (Patch)
| zypp::ZYPP_DECLARE_OPERATORS_FOR_FLAGS (Patch::Categories)
| zypp::ZYPP_DECLARE_OPERATORS_FOR_FLAGS (Patch::InteractiveFlags)
| zypp::ZYPP_DECLARE_OPERATORS_FOR_FLAGS (Patch::SeverityFlags)